-- STATIC TEXT
goo.text = class('goo static text', goo.object)
function goo.text:initialize( parent )
	super.initialize(self,parent)
	self.text = "no text"
	self.font = self.style.textFont
end

function goo.text:draw(x,y)
	local x,y = self:getAbsolutePos()
	if self.style.textFont then
		love.graphics.setFont( self.style.textFont )
	else
		love.graphics.setFont( 12 )
	end
	self.font = love.graphics.getFont()
	self.fontH = self.font:getHeight()
	
	local w = self.style.borderWidth
	
	self:setColor( self.style.borderColor )
	love.graphics.rectangle('fill',-w,-w,self.w+(w*2),self.h+(w*2))
	self:setColor( self.style.backgroundColor )
	love.graphics.rectangle('fill',0,0,self.w,self.h)
	love.graphics.setScissor( x, y-1, self.w, self.h+1 )
	self:setColor( self.style.textColor )
	love.graphics.print( self.text, 0, 0)
	love.graphics.setScissor()
end

function goo.text:setText( text )
	self.text = text or ""
end
function goo.text:getText()
	return self.text
end

return goo.text